<!-- 롈귕돷겏릣빟뭙뵯롅 -->
<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">

	<fire>
		<direction type="absolute">155</direction>
		<speed>9.0</speed>
		<bulletRef label="down">
		</bulletRef>
	</fire>

	<fire>
		<direction type="absolute">-155</direction>
		<speed>9.0</speed>
		<bulletRef label="down">
		</bulletRef>
	</fire>

	<fire>
		<direction type="absolute">25</direction>
		<speed>9.0</speed>
		<bulletRef label="down">
		</bulletRef>
	</fire>

	<fire>
		<direction type="absolute">-25</direction>
		<speed>9.0</speed>
		<bulletRef label="down">
		</bulletRef>
	</fire>

	<vanish />
</action>


<bullet label="down">
	<action>
		<wait>5</wait>

		<repeat>
			<times>999</times>
			<action>

				<fire>
					<direction type="absolute">90</direction>
					<speed>3.0 + $rank</speed>
					<bulletRef label="h_stop">
					</bulletRef>
				</fire>

				<fire>
					<direction type="absolute">-90</direction>
					<speed>3.0 + $rank</speed>
					<bulletRef label="h_stop">
					</bulletRef>
				</fire>

				<wait>10 - $rank * 5</wait>
			</action>
		</repeat>
	</action>
</bullet>



<bullet label="h_stop">
	<action>
		<wait>20</wait>

		<repeat>
			<times>999</times>
			<action>

				<fire>
					<direction type="absolute">90</direction>
					<speed>3.0 + $rank</speed>
					<bulletRef label="stop">
					</bulletRef>
				</fire>

				<fire>
					<direction type="absolute">-90</direction>
					<speed>3.0 + $rank</speed>
					<bulletRef label="stop">
					</bulletRef>
				</fire>

				<wait>10</wait>

			</action>
		</repeat>

	</action>

</bullet>


<bullet label="stop">
	<action>
		<wait>10</wait>

		<changeSpeed>
			<speed>0</speed>
			<term>10</term>
		</changeSpeed>

		<wait>50</wait>

		<changeSpeed>
			<speed>5</speed>
			<term>10</term>
		</changeSpeed>

	</action>
</bullet>

</bulletml>
